function com_plot_irradiance(tracepro,tmp_folder,surface) 
% COM_PLOT_IRRADIANCE: Demonstration function to retrieve irradiance
% map data for surface and create a contour plot using COM.
    
% Select surface 
cmd = ['(edit:select (entity:get-by-name "', surface, '") )'];
tracepro.ExecuteSchemeString(cmd);
 
% Set the map type to irradiance
tracepro.ExecuteSchemeString('(analysis:irradiance-set-plot-quantities 0)');
    
% Update and display the map 
tracepro.ExecuteSchemeString('(analysis:irradiance)');
    
% Save the irradiance map data to a file 
tmp_nam = [tmp_folder, 'temp1.dat'];
cmd = ['(analysis:irradiance-save  "', tmp_nam, '")'];
tracepro.ExecuteSchemeString(cmd);
    
% Read the irradinace map file 
mat_data = read_irradiance(tmp_nam);
    
% Flip the data to match TracePro 
data = flipud(mat_data);
    
% Plot the data as a contour 
contour (data, 'DisplayName', 'data', 'ZDataSource', 'data');  
axis square; % set the axes aspect ratio 
figure(gcf); 

