function com_tracepro_demo()
%COM_TRACEPRO_DEMO: Demonstrate TracePro COM support
%   1) Start Tracepro if it is not running and make the UI visible
%   2) Open demo model in TracePro
%   3) Perform raytrace
%   4) Save irradiance map to file
%   5) Read the irradiance map file and display contour map in MATLAB
%

% Start TracePro if not running and make it visible
tracepro=com_start_tracepro();

% Open Example
ExampleFolder = com_openexample(tracepro);

% Run ray trace and get the number of rays incident on surface Observation
srf='Observation';
nrays=com_get_rays(tracepro,srf);
    
% If we have any incident rays create an irradiance contour plot
if nrays > 0
	com_plot_irradiance(tracepro,ExampleFolder,srf);
end

