function [data]=read_irradiance(fname) 
% READ_IRRADIANCE: Read an irrradiance map file and return the data in a matrix. 
% 
% Read the irradinace map file 
fid = fopen(fname, 'r'); 
% Find the grid size 
grid_size = textscan(fid,'Grid Size is %d x %d', 1, 'headerlines', 25); 
% Build a format string to get all the data 
size = cell2mat(grid_size); 
% Build a format string for the textscan command. 
format = ''; 
for i = 1:size(1) 
    format = [format, ' %f']; 
end 
% Convert the data by reading the file and building a cell array. 
cells = textscan(fid, format, 'headerlines', 3); 
% Convert to a matrix. 
data = cell2mat(cells); 
% Close the file. 
fclose(fid); 
